package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.OpMode;
import com.qualcomm.robotcore.eventloop.opmode.TeleOp;

import org.firstinspires.ftc.teamcode.runmodes.DevTeleopRunMode;
import org.firstinspires.ftc.teamcode.runmodes.DevTeleopRunModeCompetition;

@TeleOp(name = "Dev Teleop RR Actions", group = "Debug")
public class DevTeleop extends OpMode {

    public DevTeleopRunModeCompetition runMode;

    @Override
    public void init() {
        this.runMode = new DevTeleopRunModeCompetition(hardwareMap, telemetry, gamepad1, gamepad2);
        this.runMode.init();
    }

    @Override
    public void loop() {
        this.runMode.update();
        telemetry.update();
    }
}
